Name:		hp8970
Version:	1.05
Release:	2%{?dist}
Summary:	HP8970 Noise Figure Meter Companion

Group:		Applications
License:	GPL3
URL:		https://github.com/vk2bea/hp8970
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXX)

BuildRequires:	glib2-devel, gtk4-devel, linux-gpib-devel, json-glib-devel, librsvg2-devel 
BuildRequires:  gcc

Requires:	glib2, gtk4, linux-gpib, json-glib, librsvg2

%description

%global debug_package %{nil}

%prep
%setup -q
zcat $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz | tar -xvf -

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share/help/C/hp8970
mkdir -p $RPM_BUILD_ROOT/usr/local/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/local/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/fonts/hp8970
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/256x256/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/512x512/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/scalable/apps
mkdir -p $RPM_BUILD_ROOT/usr/local/share/glib-2.0/schemas/

cp Release/hp8970 $RPM_BUILD_ROOT/usr/local/bin/hp8970
cp Resources/hp8970.desktop $RPM_BUILD_ROOT/usr/local/share/applications/
cp Resources/hp8970.svg $RPM_BUILD_ROOT/usr/local/share/pixmaps/
cp -r Resources/Fonts/* $RPM_BUILD_ROOT/usr/local/share/fonts/hp8970
cp -r Resources/Help/* $RPM_BUILD_ROOT/usr/local/share/help/C/hp8970/
cp Resources/hicolor/scalable/apps/hp8970.svg $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/scalable/apps/
cp Resources/hicolor/48x48/apps/hp8970.png $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/48x48/apps/
cp Resources/hicolor/256x256/apps/hp8970.png $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/256x256/apps/
cp Resources/hicolor/512x512/apps/hp8970.png $RPM_BUILD_ROOT/usr/local/share/icons/hicolor/512x512/apps/
cp Resources/hp8970.svg $RPM_BUILD_ROOT/usr/local/share/pixmaps/
cp src/us.heterodyne.hp8970.gschema.xml $RPM_BUILD_ROOT/usr/local/share/glib-2.0/schemas/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/local/bin/hp8970
/usr/local/share/pixmaps/hp8970.svg
/usr/local/share/fonts/hp8970/NotoSans_Condensed-Regular.ttf
/usr/local/share/fonts/hp8970/NotoSans-Italic.ttf 
/usr/local/share/fonts/hp8970/NotoSans-Regular.ttf
/usr/local/share/applications/hp8970.desktop

/usr/local/share/help/C/hp8970/ExternalMixer.page
/usr/local/share/help/C/hp8970/overview.page
/usr/local/share/help/C/hp8970/hp8970.page
/usr/local/share/help/C/hp8970/title+notes.page
/usr/local/share/help/C/hp8970/index.page
/usr/local/share/help/C/hp8970/options.page
/usr/local/share/help/C/hp8970/measurements.page
/usr/local/share/help/C/hp8970/special.page
/usr/local/share/help/C/hp8970/GPIB.page
/usr/local/share/help/C/hp8970/legal.xml
/usr/local/share/help/C/hp8970/media/title.png
/usr/local/share/help/C/hp8970/media/HP8970.png
/usr/local/share/help/C/hp8970/media/sweep.png
/usr/local/share/help/C/hp8970/media/extLOpage.png
/usr/local/share/help/C/hp8970/media/save.png
/usr/local/share/help/C/hp8970/media/GPIBpage.png
/usr/local/share/help/C/hp8970/media/plotPage.png
/usr/local/share/help/C/hp8970/media/hp8970.svg
/usr/local/share/help/C/hp8970/media/specialPage.png
/usr/local/share/help/C/hp8970/media/optionsPage.png
/usr/local/share/help/C/hp8970/media/sourcePage.png
/usr/local/share/help/C/hp8970/media/notesPage.png
/usr/local/share/help/C/hp8970/media/mainPage.png
/usr/local/share/help/C/hp8970/save.page
/usr/local/share/help/C/hp8970/source.page
/usr/local/share/help/C/hp8970/plot.page

/usr/local/share/icons/hicolor/256x256/apps/hp8970.png
/usr/local/share/icons/hicolor/512x512/apps/hp8970.png
/usr/local/share/icons/hicolor/scalable/apps/hp8970.svg
/usr/local/share/icons/hicolor/48x48/apps/hp8970.png

/usr/local/share/glib-2.0/schemas/us.heterodyne.hp8970.gschema.xml


%doc

%post
fc-cache /usr/local/share/fonts/hp8970
gtk-update-icon-cache --ignore-theme-index /usr/local/share/icons/hicolor/
glib-compile-schemas /usr/local/share/glib-2.0/schemas

%preun

%postun


%changelog
* Thu Sep 19 2024 - vk2bea+RPM@gmail.com
- Add additional Special Functions
* Tue Sep 17 2024 - vk2bea+RPM@gmail.com
- Add control for calibration gain/attenuation setting
* Sun Sep 08 2024 - vk2bea+RPM@gmail.com
- Add memory traces
* Sat Sep 07 2024 - vk2bea+RPM@gmail.com
- Pseudo auto triggering (right mouse button on sweep)
* Mon Sep 02 2024 - vk2bea+RPM@gmail.com
- Correct some initial settings
* Fri Aug 30 2024 - vk2bea+RPM@gmail.com
- Add capability to save and recall configurations (separately from the plot JSON files)
* Mon Aug 26 2024 - vk2bea+RPM@gmail.com
- Fix max sweep frequency in mode 1.0 with B and B/20 models
* Wed Aug 21 2024 - vk2bea+RPM@gmail.com
- Set external LO frequency when setting spot frequency on higher modes
* Thu Aug 08 2024 - vk2bea+RPM@gmail.com
- Send IF and LO frequencies to 8970 when starting calibration and sweep
* Tue Aug 06 2024 - vk2bea+RPM@gmail.com
- Initial build







